#include<bits/stdc++.h>

using namespace std;

#define int long long

const int MAXN = 5e5 + 31;

vector<int> now[10];

int a[MAXN];

int n, k;
int ans = 0;

signed main(){
    cin >> n >> k;
    for(int i = 0; i < n; i++) cin >> a[i];
    int ans = 0;
    for(int i = 0; i < k - 1; i++){
        ans += a[i] + 1;
    }
    int mx = 0;
    for(int i = k - 1; i < n; i++){
        mx = max(mx, a[i] + (i - k + 2));
    }
    cout << ans + mx;
}


